
TYPO3.Flow - Task # 49025

Story # 42408 (New): Locale Detection / Selection

Status: Under Review Priority: Could have
Author: Adrian Föder Category: I18n
Created: 2013-06-11 Assigned To: Adrian Föder
Updated: 2013-12-28 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Dynamic locale detection / determination
Description

This provides a way of detecting an appropriate
Locale to use for each request. Shipped with Flow
are two DetectionStrategies, Cookie and HttpAcceptHeader,
which will try to determine a Locale from these sources.
The Cookie's default name is assumed locale, but
can be set to a different one via Object.yaml.

If a DetectionStrategy can not reliably determine a 
Locale, it returns NULL in order to abstain, and the
next Strategy in the configured chain is evaluated.
If eventually none matches, no concrete ``currentLocale``
will be set, hence falling back to the ``defaultLocale``.

Setting a Locale chain would look like::
1    TYPO3:
2      Flow:
3        i18n:
4          detectionChain: ['Cookie', 'AcceptLanguageHeader']

The array values can also be set to a full qualified class name
which must implement \TYPO3\Flow\I18n\Detection\DetectionStrategyInterface.

(from the commit message)

Related issues:
duplicates TYPO3.Flow - Feature # 35030: Dynamic locale detection Under Review 2012-03-20

History
#1 - 2013-06-11 13:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21334

#2 - 2013-06-11 17:52 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21334

#3 - 2013-06-11 20:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21334

#4 - 2013-06-19 10:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21334

#5 - 2013-12-28 10:48 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21334
